{% extends "front/base_logged.html" %}
{% load i18n %}

{% block content %}

    {% include "wizard/header.html" %}

    <div class="panel panel-default">
      <div class="panel-heading">
          <strong>{% trans "Submeter Sistema de Previsão" %}</strong>
          <div class="help">
              <button id="help_btn" type="button" class="btn btn-primary btn-xs" data-toggle="tooltip" data-placement="top" title="{% trans 'Mais info' %}" data-title="{% trans 'Mais info' %}" data-title_alt="{% trans 'Menos info' %}">
                  <span class="glyphicon glyphicon-question-sign"></span>
              </button>
              <button id="tips_btn" type="button" class="btn btn-primary btn-xs" data-toggle="tooltip" data-placement="top" title="{% trans 'Dicas' %}">
                  <span class="glyphicon glyphicon-info-sign"></span>
              </button>
          </div>
      </div>
      <div id="help" class="alert alert-warning cst_hide">
          {% include "wizard/help_text/step_deploy.html" %}
      </div>
      <div class="panel-body">
          {% trans "Confirme as configurações selecionadas e ative o sistema de previsão." %}
      </div>
    </div>

    {% if errors %}
    <div class="alert alert-danger">
        <ul>
            {% for error in errors %}
            <li>{{ error }}</li>
            {% endfor %}
        </ul>
    </div>
    {% endif %}

    <div id="deploy_div" class="row">
        <div class="col-xs-7">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <strong>{% trans "Sumário" %}</strong>
                </div>
                <div class="panel-body" data-step="1" data-intro="{% trans 'Confirme os passos no Sumário' %}">
                    {% include "wizard/steps_summary.html" %}
                </div>
            </div>
        </div>
        <div class="col-xs-5">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <strong>{% trans "Submeter" %}</strong>
                </div>
                <div class="panel-body">
                    <form class="form" method="post">{% csrf_token %}
                        <div id="form_deploy" data-step="2" data-intro="{% trans 'Preencha informação de identificação' %}">
                            {% include "front/form.html" %}
                        </div>
                        <label data-step="3" data-intro="{% trans 'Aceite os termos e condições' %}">
                            <input id="chk_continue" type="checkbox">{% trans "Aceito" %}
                        </label>
                        <strong>
                            <a class="small" data-toggle="modal" href="#disclaimer_read">{% trans "Termos e Condições de Utilização" %}</a>
                        </strong>
                        <div class="btnmenu text-right">
                            <button id="btn_submit" type="submit" class="btn btn-primary" disabled data-step="4" data-intro="{% trans 'Prima o botão para iniciar a ativação do Sistema' %}">
                                <span class="glyphicon glyphicon-play-circle"></span> <strong>{% trans "Ativar Sistema" %}</strong>
                            </button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    {% include "front/modal/disclaimer_read.html" %}

    <script type="text/javascript">
        $('#btn_submit').click(function(e){
            $('#divModal_processing').modal('show');
        });

        $('#chk_continue').change(function() {
            if($(this).is(":checked")) {
                $('#btn_submit').removeAttr('disabled');
            } else {
                $('#btn_submit').attr('disabled', '');
            }
            $(this).blur();
        });
    </script>

{% endblock content %}